Var n: Qword;
Procedure Doc;
  Begin
      Assign(input,'CP.inp'); Reset(input);
      Assign(output,'CP.out'); Rewrite(output);
      read(n);
  End;
Procedure Xl;
  Begin
      If (Trunc(Sqrt(n))*Trunc(Sqrt(n)) = n) then Write('YES')
      Else Write('NO');
  end;
Begin
    Doc;
    xl;
End.